<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>task 25.60</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style>
        .margin {
            margin-top: 80px;
        }
    </style>
</head>
<body onload="onPageLoading()">
    <div class="container">
        <div class="row margin" >
            <div class="col-sm-12 ">
                <h3 class="text-center">DANH SÁCH ĐƠN HÀNG</h3>
            </div>          
        </div>
        <div  class="table-responsive margin">
                <table class="table table-bordered border-primary" id="id-table">
                    <thead >
                        <tr>
                            <th>Order Code</th>
                            <th>Kich co combo</th>
                            <th>Loai pizza</th>
                            <th>Nước uống</th>
                            <th>Thành tiền</th>
                            <th>Họ và tên</th>
                            <th>Số điện thoại</th>
                            <th>Trạng thái</th>
                            <th>Chi tiết</th>
                        </tr>
                    </thead>
                    <tbody>
    
                    </tbody>
                </table>
        </div>
    </div>
</body>
<script>
        "use strict";
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    // lấy danh sách order
    function onPageLoading(){
        var vXmlHttpGetAllOrder = new XMLHttpRequest();
        onBtnGetAllOrderClick(vXmlHttpGetAllOrder);
        hienThiTable(vXmlHttpGetAllOrder) ;
    }
    function onBtnGetAllOrderClick(paramXhttp) {
        "use strict";
        //base url
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

        // create a request

        paramXhttp.open("GET", vBASE_URL, true);
        paramXhttp.send();

    }
    function hienThiTable(paramXhttp) {
        paramXhttp.onreadystatechange =
        function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                var vOrderList = paramXhttp.responseText;
                var vRespone = JSON.parse(paramXhttp.responseText);
                console.log(vOrderList);
                var vTable = document.getElementById("id-table");
                var vTableBody = vTable.getElementsByTagName("tbody")[0];
                var vTableHead = vTable.getElementsByTagName("thead")[0];
                for (var bI = 0 ; bI < vRespone.length;bI ++ ) {
                    var vNewRow = vTableBody.insertRow(-1);
                    var vNewCellOder = vNewRow.insertCell(0);
                    var vNewCellKickCo = vNewRow.insertCell(1);
                    var vNewCellLoaiPizza = vNewRow.insertCell(2);
                    var vNewCellNuocUong = vNewRow.insertCell(3);
                    var vNewCellThanhTien = vNewRow.insertCell(4);
                    var vNewCellHovaTen = vNewRow.insertCell(5);
                    var vNewCellDienThoai = vNewRow.insertCell(6);
                    var vNewCellTrangThai = vNewRow.insertCell(7);
                    var vNewCellChiTiet = vNewRow.insertCell(8);
                    vNewCellOder.innerText = vRespone[bI].orderCode;
                    vNewCellKickCo.innerText = vRespone[bI].kichCo;
                    vNewCellLoaiPizza.innerText = vRespone[bI].loaiPizza;
                    vNewCellNuocUong.innerText = vRespone[bI].idLoaiNuocUong;
                    vNewCellThanhTien.innerText = vRespone[bI].thanhTien;
                    vNewCellHovaTen.innerText = vRespone[bI].hoTen;
                    vNewCellDienThoai.innerText = vRespone[bI].soDienThoai;
                    vNewCellTrangThai.innerText = vRespone[bI].trangThai;
                    var vButton = document.createElement("button");
                    vButton.innerText = "Chi tiết";
                    vButton.className = "btn btn-info";
                    vNewCellChiTiet.appendChild(vButton);
                }
            }
        }
    }
</script>
</html>